Bug 1812907 - StorageClassName:Null shows up in StorageCluster.yaml for OCP 4.3 + OCS 4.2.1
Summary: StorageClassName:Null shows up in StorageCluster.yaml for OCP 4.3 + OCS 4.2.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: afrahman
QA Contact: Neha Berry
URL:
Whiteboard:
Depends On: 1804107
Blocks: 1814075
TreeView+ depends on / blocked
 
Reported: 2020-03-12 13:46 UTC by afrahman
Modified: 2020-05-04 11:46 UTC (History)
12 users (show)

Fixed In Version: https://openshift-release.svc.ci.openshift.org/releasestream/4.4.0-0.nightly/release/4.4.0-0.nightly-2020-03-19-075457
Doc Type: Bug Fix
Doc Text:
Cause: DOM rendering was getting uncontrolled and not handling the states in a correct manner for the storage class dropdown. Consequence: On initial render, the state of dropdown is getting cleared and set to null Fix: Controlled unnecessary updates on UI to set the state properly. Result: Storage class in not null
Clone Of: 1804107
: 1814075 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:45:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4723 0 None closed [release-4.4] Bug 1812907: Mount OCS form when csv is available 2020-06-27 04:41:24 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:46:15 UTC

Comment 4 Neha Berry 2020-03-19 15:16:39 UTC
Verified the BZ on AWS + RHCOS  setup with following builds:

OCP = 4.4.0-0.nightly-2020-03-19-075457

OCS = ocs-operator.v4.3.0-377.ci (4.30-rc2)


Steps performed:

1. Ran deploy-with-olm.yaml to create 4.3 Operator
2. Installed subscription
3. Navigated to Installed Operator->StorageCluster and clicked on Create Storage Cluster

4. gp2 was selected as default SC, Size was 2TiB by default.( didnt change anything). I did not hit Bug 1812448 and default selection was honored.

5. Clicked on Create and Stotragecluster was created.

YAML from UI
==================

spec:
  storageDeviceSets:
    - config: {}
      count: 1
      dataPVCTemplate:
        metadata:
          creationTimestamp: null
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 2Ti
          storageClassName: gp2   <--- not NULL
          volumeMode: Block
        status: {}
      name: ocs-deviceset
      placement: {}
      portable: true
      replica: 3
      resources: {}
  version: 4.3.0


Hence, moving this BZ to verified state in OCp 4.4. I did not encounter

Comment 6 errata-xmlrpc 2020-05-04 11:45:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.